[arch-commits] Commit in lsof/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Wed Jan 27 05:27:13 EST 2010


    Date: Wednesday, January 27, 2010 @ 05:27:13
  Author: giovanni
Revision: 65315

upgpkg: lsof 4.83-1
    upstream release

Modified:
  lsof/trunk/PKGBUILD

----------+
 PKGBUILD |   25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-27 09:03:18 UTC (rev 65314)
+++ PKGBUILD	2010-01-27 10:27:13 UTC (rev 65315)
@@ -3,29 +3,28 @@
 # Contributor: Jochem Kossen <j.kossen at home.nl>
 
 pkgname=lsof
-pkgver=4.82
+pkgver=4.83
 pkgrel=1
-pkgdesc="lsof (LiSt Open Files) lists information about files that are open by the running processes"
-arch=(i686 x86_64)
-license=(custom)
-depends=('glibc')
+pkgdesc="Lists open files for running Unix processes"
+arch=('i686' 'x86_64')
 url="http://people.freebsd.org/~abe/"
-#source=(ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/${pkgname}_${pkgver}.tar.bz2 license.txt)
+license=('custom')
+depends=('glibc')
 source=(ftp://sunsite.ualberta.ca/pub/Mirror/lsof/${pkgname}_${pkgver}.tar.bz2 license.txt)
+md5sums=('8f731a6251b8c0143d585df0d5ca779e'
+         '1b63c76bd10437cabf890508c8e58d36')
 
 build() {
-   cd $startdir/src/${pkgname}_${pkgver}
+   cd "$srcdir/${pkgname}_${pkgver}"
    tar xf ${pkgname}_${pkgver}_src.tar
    cd ${pkgname}_${pkgver}_src
    sed "s|/\* #define\tHASSECURITY\t1 \*/|#define\tHASSECURITY\t1|" -i dialects/linux/machine.h
 
    ./Configure -n linux
    make || return 1
-   install -D -m0755 -o root -g root lsof $startdir/pkg/usr/sbin/lsof
-   install -D -m0644 -o root -g root lsof.8 $startdir/pkg/usr/share/man/man8/lsof.8
+   install -D -m0755 -o root -g root lsof "${pkgdir}/usr/sbin/lsof" || return 1
+   install -D -m0644 -o root -g root lsof.8 "${pkgdir}/usr/share/man/man8/lsof.8" || return 1
    
-   install -D -m0644 -o root -g root $startdir/src/license.txt \
-        $startdir/pkg/usr/share/licenses/lsof/license.txt
+   install -D -m0644 -o root -g root ${srcdir}/license.txt \
+     ${pkgdir}/usr/share/licenses/lsof/LICENSE || return 1
 }
-md5sums=('5518a0c16fc937523b3d1a946cf59e5b'
-         '1b63c76bd10437cabf890508c8e58d36')



More information about the arch-commits mailing list